> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Account Details

> Interface description: Get account details based on accountId.



## OpenAPI

````yaml /openapi/en/aitoearn.openapi.json get /api/v2/channels/accounts/{accountId}
openapi: 3.0.1
info:
  title: AiToEarn Open Platform API
  description: >-
    AiToEarn Open Platform API. You can switch between the China and
    international sites for testing. Business success is determined by whether
    the response body has code === 0.
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: China site
  - url: https://aitoearn.ai
    description: International site
security: []
tags:
  - name: AI Services
  - name: AI Services/Video Generation
  - name: AI Services/Image Generation
  - name: Channel Management
  - name: Channel Management/Accounts
  - name: Channel Management/Publishing
  - name: Channel Management/Platforms
  - name: Channel Management/Works
  - name: Channel Management/Account Groups
  - name: Channel Management/Authorization
  - name: Asset Management
  - name: AI Services/Large Language Models
paths:
  /api/v2/channels/accounts/{accountId}:
    get:
      tags:
        - Channel Management/Accounts
      summary: Account Details
      description: 'Interface description: Get account details based on accountId.'
      operationId: AccountsController_getById_v2
      parameters:
        - name: accountId
          in: path
          description: Channel account ID
          required: true
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: >-
            The request has been processed by the service. Business success is
            determined by whether the response body has code === 0.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ChannelAccountVo'
                  code:
                    type: integer
                    description: >-
                      Business status code. 0 means success; non-zero means a
                      business error.
                  message:
                    type: string
                    description: Response message.
                  requestId:
                    type: string
                    description: Request ID.
                  timestamp:
                    type: integer
                    description: Error response timestamp in Unix milliseconds.
                required:
                  - code
                  - message
              examples:
                success:
                  summary: Success
                  value:
                    code: 0
                    message: Request succeeded
                    data:
                      id: string
                      userId: string
                      type: douyin
                      uid: string
                      nickname: string
                      groupId: string
                      status: 1
                      clientType: web
                      account: string
                      loginTime: '2026-07-02T12:00:00.000Z'
                      avatar: string
                      fansCount: 1
                validationFailed10002:
                  summary: ValidationFailed (10002)
                  value:
                    code: 10002
                    message: Parameter validation failed
                    data: {}
                    timestamp: 1772099056662
                unauthorized401:
                  summary: Unauthenticated or invalid API Key
                  value:
                    code: 401
                    message: Unauthorized
                    data: {}
                    timestamp: 1772099056662
                accountNotFound12600:
                  summary: AccountNotFound (12600)
                  value:
                    code: 12600
                    message: Account not found
                    data: {}
                    timestamp: 1772099056662
      deprecated: false
      security:
        - apikey-header-X-Api-Key: []
components:
  schemas:
    ChannelAccountVo:
      type: object
      properties:
        id:
          type: string
          description: Account ID
        userId:
          type: string
          description: User ID
        type:
          type: string
          enum:
            - douyin
            - xhs
            - wxSph
            - KWAI
            - youtube
            - wxGzh
            - bilibili
            - twitter
            - tiktok
            - facebook
            - instagram
            - threads
            - pinterest
            - linkedin
            - google_business
          description: platform
        clientType:
          description: client type
          type: string
          enum:
            - web
            - app
        uid:
          type: string
          description: Platform account UID
        account:
          description: Platform account name
          type: string
        loginTime:
          description: Login time
          type: string
          format: date-time
        avatar:
          description: Avatar URL
          type: string
        nickname:
          type: string
          description: Nick name
        fansCount:
          description: Number of fans
          type: number
        followingCount:
          description: Number of followers
          type: number
        readCount:
          description: Number of readings
          type: number
        likeCount:
          description: Number of likes
          type: number
        collectCount:
          description: Number of collections
          type: number
        forwardCount:
          description: Number of forwards
          type: number
        commentCount:
          description: Number of comments
          type: number
        lastStatsTime:
          description: Latest statistical time
          type: string
          format: date-time
        workCount:
          description: Number of works
          type: number
        income:
          description: income
          type: number
        groupId:
          type: string
          description: Account group ID
        status:
          description: Account status
          type: number
        rank:
          description: sort value
          type: number
        relayAccountRef:
          description: Forward account reference
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
          description: creation time
        updatedAt:
          type: string
          format: date-time
          description: Update time
      required:
        - id
        - userId
        - type
        - uid
        - nickname
        - groupId
        - status
  securitySchemes:
    apikey-header-X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >-
        Need to get API Key from AiToEarn. Click to go to ["API Key Obtaining
        Tutorial"](/en/use/api-key).

````